Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class PdfSchema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.PdfSchema

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class PdfSchema

extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_XPATH_ID` default namespace identifier
`static String` | `DEFAULT_XPATH_URI` default namespace uri
`static String` | `KEYWORDS` Keywords.
`static String` | `PRODUCER` The Producer.
`private static long` | `serialVersionUID`
`static String` | `VERSION` The PDF file version (for example: 1.0, 1.3, and so on).

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`PdfSchema()`

Method Summary
`void` | `addKeywords(String keywords)` Adds keywords.
`void` | `addProducer(String producer)` Adds the producer.
`void` | `addVersion(String version)` Adds the version.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### DEFAULT_XPATH_ID

    public static final String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### KEYWORDS

    public static final String KEYWORDS

  Keywords.

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  The PDF file version (for example: 1.0, 1.3, and so on).

  See Also:
    Constant Field Values

### PRODUCER

    public static final String PRODUCER

  The Producer.

  See Also:
    Constant Field Values

Constructor Detail

### PdfSchema

    public PdfSchema()

Method Detail

### addKeywords

    public void addKeywords(String keywords)

  Adds keywords.

  Parameters:
    `keywords` -

### addProducer

    public void addProducer(String producer)

  Adds the producer.

  Parameters:
    `producer` -

### addVersion

    public void addVersion(String version)

  Adds the version.

  Parameters:
    `version` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD